Bullet Collision Detection & Physics Library: btQuantizedBvhFloatData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btQuantizedBvhFloatData Struct Reference

`#include <btQuantizedBvh.h>`

Collaboration diagram for btQuantizedBvhFloatData:
[legend]

## Public Attributes
btVector3FloatData | m_bvhAabbMin
btVector3FloatData | m_bvhAabbMax
btVector3FloatData | m_bvhQuantization
int | m_curNodeIndex
int | m_useQuantization
int | m_numContiguousLeafNodes
int | m_numQuantizedContiguousNodes
btOptimizedBvhNodeFloatData * | m_contiguousNodesPtr
btQuantizedBvhNodeData * | m_quantizedContiguousNodesPtr
btBvhSubtreeInfoData * | m_subTreeInfoPtr
int | m_traversalMode
int | m_numSubtreeHeaders

## Detailed Description

Definition at line 503 of file btQuantizedBvh.h.

## Member Data Documentation

## ◆ m_bvhAabbMax

btVector3FloatData btQuantizedBvhFloatData::m_bvhAabbMax

Definition at line 506 of file btQuantizedBvh.h.

## ◆ m_bvhAabbMin

btVector3FloatData btQuantizedBvhFloatData::m_bvhAabbMin

Definition at line 505 of file btQuantizedBvh.h.

## ◆ m_bvhQuantization

btVector3FloatData btQuantizedBvhFloatData::m_bvhQuantization

Definition at line 507 of file btQuantizedBvh.h.

## ◆ m_contiguousNodesPtr

btOptimizedBvhNodeFloatData* btQuantizedBvhFloatData::m_contiguousNodesPtr

Definition at line 512 of file btQuantizedBvh.h.

## ◆ m_curNodeIndex

int btQuantizedBvhFloatData::m_curNodeIndex

Definition at line 508 of file btQuantizedBvh.h.

## ◆ m_numContiguousLeafNodes

int btQuantizedBvhFloatData::m_numContiguousLeafNodes

Definition at line 510 of file btQuantizedBvh.h.

## ◆ m_numQuantizedContiguousNodes

int btQuantizedBvhFloatData::m_numQuantizedContiguousNodes

Definition at line 511 of file btQuantizedBvh.h.

## ◆ m_numSubtreeHeaders

int btQuantizedBvhFloatData::m_numSubtreeHeaders

Definition at line 516 of file btQuantizedBvh.h.

## ◆ m_quantizedContiguousNodesPtr

btQuantizedBvhNodeData* btQuantizedBvhFloatData::m_quantizedContiguousNodesPtr

Definition at line 513 of file btQuantizedBvh.h.

## ◆ m_subTreeInfoPtr

btBvhSubtreeInfoData* btQuantizedBvhFloatData::m_subTreeInfoPtr

Definition at line 514 of file btQuantizedBvh.h.

## ◆ m_traversalMode

int btQuantizedBvhFloatData::m_traversalMode

Definition at line 515 of file btQuantizedBvh.h.

## ◆ m_useQuantization

int btQuantizedBvhFloatData::m_useQuantization

Definition at line 509 of file btQuantizedBvh.h.

The documentation for this struct was generated from the following file:

- btQuantizedBvh.h